- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions

# FbxAnimUtilities Class Reference

Search for all occurrences

## Detailed Description

Definition at line 33 of file fbxanimutilities.h.

`#include <fbxanimutilities.h>`

List of all members.

## Classes
class | CurveIntfce
class | CurveNodeIntfce
class | FbxAnimSplitDef
## Static Public Member Functions
static int | SplitAnimationIntoMultipleStacks (FbxScene *pScene, const FbxArray< FbxAnimSplitDef * > &pAnimSplitDefinitions, const FbxAnimStack *pSrcAnimStack, FbxArray< FbxAnimStack * > &pDstStacks)
static void | ShareAnimCurves (FbxProperty &pDstProperty, FbxProperty &pSrcProperty, FbxScene *pScene)
static void | SetTimeWarpSet (FbxSet *pTWset)
static CurveNodeIntfce | CreateCurveNode (const char *pName)
static CurveNodeIntfce | CreateCurveNode (FbxIO *pFileObject)
static CurveNodeIntfce | CreateCurveNode (FbxIO *pFileObject, CurveNodeIntfce &pParent, bool pOnlyDefaults=false)
static CurveNodeIntfce | CreateTimeWarpNode (FbxAnimCurve *pAnimCurve, const char *pFalloffName)
static CurveNodeIntfce | GrabCurveNode (FbxAnimCurveNode *pCN)
static void | RestrieveCurveNode (CurveNodeIntfce &pData, FbxIO *mFileObject)
static void | StoreCurveNode (CurveNodeIntfce &pData, FbxIO *mFileObject)
static void | ReleaseCurveNode (FbxAnimCurveNode *pCurveNode)
static void | DestroyCurveNode (CurveNodeIntfce &pData)
static void | DestroyCurve (CurveIntfce &pData)
static void | ConnectTimeWarp (FbxAnimCurveNode *pCurveNode, CurveNodeIntfce &pData, FbxSet &pTimeWarpsKFCurveNodes)
static void | MergeLayerAndTimeWarp (FbxObject *pObj, FbxAnimLayer *pAnimLayer)
static void | CopyFrom (FbxAnimCurve *pAC, CurveIntfce &pFC)

## Member Function Documentation

static int SplitAnimationIntoMultipleStacks | ( | FbxScene * | pScene,
|  | const FbxArray< FbxAnimSplitDef * > & | pAnimSplitDefinitions,
|  | const FbxAnimStack * | pSrcAnimStack,
|  | FbxArray< FbxAnimStack * > & | pDstStacks
| ) |  | `[static]`

Search for all occurrences

static void ShareAnimCurves | ( | FbxProperty & | pDstProperty,
|  | FbxProperty & | pSrcProperty,
|  | FbxScene * | pScene
| ) |  | `[static]`

Search for all occurrences

static void SetTimeWarpSet | ( | FbxSet * | pTWset | ) | `[static]`

Search for all occurrences

static CurveNodeIntfce CreateCurveNode | ( | const char * | pName | ) | `[static]`

Search for all occurrences

static CurveNodeIntfce CreateCurveNode | ( | FbxIO * | pFileObject | ) | `[static]`

Search for all occurrences

static CurveNodeIntfce CreateCurveNode | ( | FbxIO * | pFileObject,
|  | CurveNodeIntfce & | pParent,
|  | bool | pOnlyDefaults = `false`
| ) |  | `[static]`

Search for all occurrences

static CurveNodeIntfce CreateTimeWarpNode | ( | FbxAnimCurve * | pAnimCurve,
|  | const char * | pFalloffName
| ) |  | `[static]`

Search for all occurrences

static CurveNodeIntfce GrabCurveNode | ( | FbxAnimCurveNode * | pCN | ) | `[static]`

Search for all occurrences

static void RestrieveCurveNode | ( | CurveNodeIntfce & | pData,
|  | FbxIO * | mFileObject
| ) |  | `[static]`

Search for all occurrences

static void StoreCurveNode | ( | CurveNodeIntfce & | pData,
|  | FbxIO * | mFileObject
| ) |  | `[static]`

Search for all occurrences

static void ReleaseCurveNode | ( | FbxAnimCurveNode * | pCurveNode | ) | `[static]`

Search for all occurrences

static void DestroyCurveNode | ( | CurveNodeIntfce & | pData | ) | `[static]`

Search for all occurrences

static void DestroyCurve | ( | CurveIntfce & | pData | ) | `[static]`

Search for all occurrences

static void ConnectTimeWarp | ( | FbxAnimCurveNode * | pCurveNode,
|  | CurveNodeIntfce & | pData,
|  | FbxSet & | pTimeWarpsKFCurveNodes
| ) |  | `[static]`

Search for all occurrences

static void MergeLayerAndTimeWarp | ( | FbxObject * | pObj,
|  | FbxAnimLayer * | pAnimLayer
| ) |  | `[static]`

Search for all occurrences

static void CopyFrom | ( | FbxAnimCurve * | pAC,
|  | CurveIntfce & | pFC
| ) |  | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimutilities.h

FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities
FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities FbxAnimUtilities